logtalk_tester(1)

NAME
logtalk_tester - Logtalk script for automating running unit tests

SYNOPSIS
logtalk_tester -v
logtalk_tester [-p prolog ] [-m mode ] [-d results ]
logtalk_tester -h

DESCRIPTION
logtalk_tester is a Logtalk script script for automating running unit tests. This script assumes that the directories (and its direct subdirectories, if existing) in the current directory contain a tester.lgt source file that, when loaded, runs a set of unit tests. In case of failed unit tests, this script returns an exit code of 1.

OPTIONS

-v  Print script version.

-p  Back-end Prolog compiler. Default is YAP. The following identifiers are used: B-Prolog - b, CxProlog - cx, ECLiPSe - eclipse, GNU Prolog - gnu, JIProlog - ji, Lean Prolog - lean, Qu-Prolog - qp, SICStus Prolog - sicstus, SWI-Prolog - swi, XSB - xsb, XSB-MT - xsbmt, YAP - yap.

-m  Compilation mode. Default is normal. Possible values are normal, debug, and all.

-d  Directory to store the test results. Default is the local ./tester_results directory.

-h  Provide help on script usage.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKUSER/library/tester_versions.lgt
    Logtalk source file used for printing the Logtalk and back-end Prolog compiler versions.

SEE ALSO
The Logtalk website at <http://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2015 Paulo Moura.